#include <stdio.h>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <cstring>
#include <vector>

using namespace std;

template <typename T>
int len(T args) { return args.size(); }

vector<string> split(string &s, const char &c)
{
    string buffer{""};

    vector<string> resultado;

    for (char caractere : s)
    {
        if (caractere != c)
        {
            buffer += caractere;
        }
        else
        {
            resultado.push_back(buffer);
            buffer = "";
        }
    }
    if (buffer != "")
    {
        resultado.push_back(buffer);
        buffer = "";
    }

    return resultado;
}

int main()
{

    string linha;
    getline(cin, linha);
    vector<string> temp = split(linha, ' ');

    int m = atoi(temp[0].c_str());
    int t = atoi(temp[1].c_str());

    string matriz[m];

    for (int x = 0; x < m; x++)
    {
        getline(cin, linha);
        matriz[x] = linha;
    }

    int l, c;

    for (int x = 0; x < t; x++)
    {
        getline(cin, linha);
        temp = split(linha, ' ');
        l = atoi(temp[0].c_str()) - 1;
        c = atoi(temp[1].c_str()) - 1;
        if (matriz[l].at(c) == 'A')
        {
            printf("agua \n");
        }
        else
        {
            printf("acertou \n");
        }
    }

    return 0;
}